## octave-interval 1.4.1

=== DESCRIPTION ===
Name: interval
Version: 1.4.1
Date: 2016-02-13
Author: Oliver Heimlich <oheim@posteo.de>
Maintainer: Oliver Heimlich <oheim@posteo.de>
Title: Real-valued interval arithmetic
Description: The interval package for real-valued interval arithmetic allows
 one to evaluate functions over subsets of their domain.  All results are
 verified, because interval computations automatically keep track of any
 errors.
 
 These concepts can be used to handle uncertainties, estimate arithmetic errors
 and produce reliable results.  Also it can be applied to computer-assisted
 proofs, constraint programming, and verified computing.
 
 The implementation is based on interval boundaries represented by binary64
 numbers and is conforming to IEEE Std 1788-2015, IEEE standard for interval
 arithmetic.
Problems: Comparison with isequal fails for interval matrices in
 Octave 4.0.0 (bug #44334, fixed in Octave 4.0.1).  3D plotting is not possible
 with gnuplot as graphics toolkit (bug #45594).
Depends: octave (>= 3.8.0)
SystemRequirements: mpfr (>= 3.1.0) [Debian] libmpfr4 (>= 3.1.0)
BuildRequires: mpfr (>= 3.1.0) [Debian] libmpfr-dev (>= 3.1.0)
License: GPL-3.0+

=== src/Makefile ===
SHELL          = /bin/sh

## Copyright 2015-2016 Oliver Heimlich
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, see <http://www.gnu.org/licenses/>.

OBJ            = mpfr_function_d.oct \
                 mpfr_linspace_d.oct \
                 mpfr_matrix_mul_d.oct \
                 mpfr_matrix_sqr_d.oct \
                 mpfr_to_string_d.oct \
                 mpfr_vector_sum_d.oct \
                 mpfr_vector_dot_d.oct \
                 __setround__.oct

LDFLAGS_MPFR   =-lmpfr
## Use important flags in XTRA_CFLAGS for OpenMP (workaround for bug #45280)
CFLAG_OPENMP   =$(findstring -fopenmp,$(shell $(MKOCTFILE) -p XTRA_CFLAGS))

all: $(OBJ)

## GNU MPFR api oct-files
mpfr_matrix_mul_d.oct mpfr_matrix_sqr_d.oct : mpfr_%.oct: mpfr_%.cc mpfr_commons.cc
	$(MKOCTFILE)  -o $@ $(LDFLAGS_MPFR) $(CFLAG_OPENMP) $<
mpfr_%.oct: mpfr_%.cc mpfr_commons.cc
	$(MKOCTFILE)  -o $@ $(LDFLAGS_MPFR)  $<

## <cfenv> api oct-file
##
## Note to redistributors:
## If you can't compile this function for a particular platform
## or `test @infsup/mtimes` throws a warning in Octave, you can safely
## omit the __setround__ function from a redistributed binary package.
## However, please inform the package maintainer of the error.
__setround__.oct: __setround__.cc
	$(MKOCTFILE)  -o $@  $<

=== debian/changelog ===
octave-interval (1.4.1-1) unstable; urgency=low

  * Imported Upstream version 1.4.1

 -- Oliver Heimlich <oheim@posteo.de>  Sat, 13 Feb 2016 22:00:00 +0100

octave-interval (1.4.0-1) unstable; urgency=medium

  [ Oliver Heimlich ]
  * Imported Upstream version 1.4.0
  * d/copyright: Reflect upstream changes
  * d/p/texinfo-bug46083.patch: Remove patch (applied upstream)
  * d/rules: Fix building of user manual after upstream changed doc/Makefile
  * d/check.m: Enable batch mode for testing, don't stop on first failure,
    fail package build on test failures

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 3.9.7,
    use secure URIs in the Vcs-* fields

 -- Oliver Heimlich <oheim@posteo.de>  Fri, 12 Feb 2016 23:51:21 +0100

octave-interval (1.2.0-1) unstable; urgency=low

  * Initial release (closes: #800153)

 -- Oliver Heimlich <oheim@posteo.de>  Wed, 07 Oct 2015 21:14:10 +0200

=== debian/control ===
Source: octave-interval
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Oliver Heimlich <oheim@posteo.de>,
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>> 1.2.0),
 libmpfr-dev (>= 3.1.0), texinfo, texlive, texlive-generic-recommended,
 imagemagick, gnuplot-nox
Standards-Version: 3.9.7
Homepage: http://octave.sourceforge.net/interval/
Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-interval.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-interval.git

Package: octave-interval
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends},
Description: real-valued interval arithmetic for Octave
 The interval package for real-valued interval arithmetic allows one to
 evaluate functions over subsets of their domain.  All results are verified,
 because interval computations automatically keep track of any errors.
 .
 These concepts can be used to handle uncertainties, estimate arithmetic errors
 and produce reliable results.  Also it can be applied to computer-assisted
 proofs, constraint programming, and verified computing.
 .
 The implementation is based on interval boundaries represented by binary64
 numbers and is conforming to IEEE Std 1788-2015, IEEE standard for interval
 arithmetic.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

pkg = interval

DEB_DH_INSTALL_SOURCEDIR = debian/octave-$(pkg)

install-docs: build-docs
build-docs:: install-pkg
	# The documentation build needs to load the package,
	# so we have to set paths for the build process.
	OCTAVE="$(octave) $(octave_options) --eval \"pkg ('prefix', [pwd(),'/../$(debpkg)/$(mpath)'], [pwd(),'/../$(debpkg)/$(bpath)']); pkg ('local_list', [pwd(),'/../local-list']); pkg ('global_list', [pwd(),'/../global-list']); pkg ('load', '$(pkg)');\"" \
		make -C doc manual.pdf

clean::
	( cd doc ; \
	  rm -f *.aux *.cp *.fn *.ky *.log *.pg *.toc *.tp *.vr manual.pdf image/*.m.png )

=== debian/watch ===
version=3
http://sf.net/octave/interval-(.+)\.tar\.gz

## octave-interval 1.5.0

=== src/Makefile ===
--- 
+++ 
@@ -1,20 +1,9 @@
+## This is part of the GNU Octave Interval Package.
+## Copyright 2015-2016 Oliver Heimlich
+## Copyright 2016 Mike Miller
+## See the file COPYING for copying conditions.
+
 SHELL          = /bin/sh
-
-## Copyright 2015-2016 Oliver Heimlich
-##
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 3 of the License, or
-## (at your option) any later version.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, see <http://www.gnu.org/licenses/>.
-
 OBJ            = mpfr_function_d.oct \
                  mpfr_linspace_d.oct \
                  mpfr_matrix_mul_d.oct \
@@ -45,3 +34,8 @@
 ## However, please inform the package maintainer of the error.
 __setround__.oct: __setround__.cc
 	$(MKOCTFILE)  -o $@  $<
+
+clean:
+	$(RM) *.oct *.o
+
+.PHONY: all clean

=== debian/changelog ===
octave-interval (1.5.0-2) unstable; urgency=medium

  * Move documentation into separate package octave-interval-doc
  * Replace external CSS with local copy

 -- Oliver Heimlich <oheim@posteo.de>  Sat, 11 Jun 2016 10:53:43 +0200

octave-interval (1.5.0-1) unstable; urgency=medium

  [ Oliver Heimlich ]
  * Imported upstream version 1.5.0
  * Reflect upstream changes to src/Makefile
  * Copy package description from upstream source
  * Change doc format from PDF to HTML
  * d/rules: Strip test files from binary package after validation
  * d/rules: Don't copy NEWS file into binary package twice

  [ Rafael Laboissiere ]
  * d/rules: In the clean rule, remove built files from src/
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * d/control: Build-depend on octave-pkg-dev >= 1.4.0 (closes: #825895)

 -- Oliver Heimlich <oheim@posteo.de>  Sun, 05 Jun 2016 10:01:34 +0200

=== debian/control ===
Source: octave-interval
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Oliver Heimlich <oheim@posteo.de>,
Build-Depends-Indep: texinfo, texlive, texlive-generic-recommended,
 imagemagick, gnuplot-nox,
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.4.0),
 libmpfr-dev (>= 3.1.0),
Standards-Version: 3.9.8
Homepage: http://octave.sourceforge.net/interval/
Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-interval.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-interval.git

Package: octave-interval
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends},
Suggests: octave-interval-doc
Description: real-valued interval arithmetic for Octave
 ${octave:Upstream-Description}
 This Octave add-on package is part of the Octave-Forge project.

Section: doc
Package: octave-interval-doc
Architecture: all
Depends: w3m | www-browser
Enhances: octave-interval
Description: real-valued interval arithmetic for Octave (arch-indep files)
 ${octave:Upstream-Description}
 This Octave add-on package is part of the Octave-Forge project.
 .
 This package provides a documentation in html format for the octave-interval
 package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Copyright (c) 2015, 2016  Oliver Heimlich <oheim@posteo.de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

include /usr/share/cdbs/1/class/octave-pkg.mk

pkg = $(shell awk '/^Name:/ {print $$2; exit 0}' DESCRIPTION)
pkg_version = $(shell awk '/^Version:/ {print $$2; exit 0}' DESCRIPTION)

# Don't install NEWS.gz, octave-pkg-dev will handle this
DEB_INSTALL_DOCS_ALL =
doc_dir = $(CURDIR)/$(debpkg)-doc/usr/share/doc/$(package)

install/$(package)-doc:: install/$(package)
	# The documentation build needs to load the package,
	# so we have to set paths for the build process.
	OCTAVE="$(octave) $(octave_options) --eval \"pkg ('prefix', [pwd(),'/../$(debpkg)/$(mpath)'], [pwd(),'/../$(debpkg)/$(bpath)']); pkg ('local_list', [pwd(),'/../local-list']); pkg ('global_list', [pwd(),'/../global-list']); pkg ('load', '$(pkg)');\"" \
		make -C doc manual.html
	# dh_installdocs does not support subdirectories,
	# so we move everything in place
	mkdir -p $(doc_dir)/image
	cp doc/manual.html $(doc_dir)/
	cp doc/image/*.png doc/image/*.svg $(doc_dir)/image/

remove-dirs::
	rm -rf \
		 $(CURDIR)/$(debpkg)/$(mpath)/*/doc \
		 $(CURDIR)/$(debpkg)/$(mpath)/*/test

clean::
	make -C doc clean
	make -C src clean

## octave-interval 2.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: interval
-Version: 1.4.1
-Date: 2016-02-13
+Version: 2.1.0
+Date: 2016-12-28
 Author: Oliver Heimlich <oheim@posteo.de>
 Maintainer: Oliver Heimlich <oheim@posteo.de>
 Title: Real-valued interval arithmetic
@@ -16,9 +16,6 @@
  The implementation is based on interval boundaries represented by binary64
  numbers and is conforming to IEEE Std 1788-2015, IEEE standard for interval
  arithmetic.
-Problems: Comparison with isequal fails for interval matrices in
- Octave 4.0.0 (bug #44334, fixed in Octave 4.0.1).  3D plotting is not possible
- with gnuplot as graphics toolkit (bug #45594).
 Depends: octave (>= 3.8.0)
 SystemRequirements: mpfr (>= 3.1.0) [Debian] libmpfr4 (>= 3.1.0)
 BuildRequires: mpfr (>= 3.1.0) [Debian] libmpfr-dev (>= 3.1.0)

=== doc/Makefile ===
## This is part of the GNU Octave Interval Package.
## Copyright 2015-2016 Oliver Heimlich.
## See the file COPYING for copying conditions.

SHELL      = /bin/sh
M_IMAGE    = $(wildcard image/*.m) $(patsubst %.m.texinfo,%.m,$(wildcard image/*.m.texinfo))
IMAGE_OBJ  = $(patsubst %,%.png,$(M_IMAGE))
OBJ        = manual.html manual.pdf $(IMAGE_OBJ)
MAKEINFO  ?= makeinfo
VERSION   ?= $(shell grep "^Version: " ../packinfo/DESCRIPTION ../DESCRIPTION | head -1 | cut -f2 -d" ")
OCTAVE    ?= octave

.PHONY: all clean images

all: $(OBJ)

images: $(IMAGE_OBJ)

manual.html: manual.texinfo $(wildcard chapter/*) license/gpl-3.0.texi $(wildcard image/*.texinfo) $(IMAGE_OBJ)
	$(MAKEINFO) -D 'version $(VERSION)' --html --no-split --css-ref='https://www.gnu.org/software/octave/doc/interpreter/octave.css' --css-include manual.css "$<"

manual.pdf: manual.texinfo $(wildcard chapter/*) license/gpl-3.0.texi $(wildcard image/*.texinfo) $(wildcard image/*.pdf) $(IMAGE_OBJ)
	$(MAKEINFO) --Xopt=--texinfo='@set version $(VERSION)' --pdf "$<"

image/%.m.png: image/%.m
	$(OCTAVE) \
		--no-gui --silent --no-history \
		--eval "source ('$<');" \
		--eval "__print_mesa__ (gcf, '$@');"
	@# The image size is too large for inclusion in the pdf,
	@# thus we increase the resolution from 150 to 250 dpi.
	convert -density 98.425 -units PixelsPerCentimeter "$@" "$@"

image/%.m: image/%.m.texinfo
	$(MAKEINFO) -D m-file --plaintext "$<" > "$@"

clean:
	$(RM) $(OBJ)
	$(RM) *.aux *.cp *.fn *.ky *.log *.pg *.toc *.tp *.vr

=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
 ## See the file COPYING for copying conditions.
 
 SHELL          = /bin/sh
-OBJ            = mpfr_function_d.oct \
+OBJ            = crlibm_function.oct \
+                 mpfr_function_d.oct \
                  mpfr_linspace_d.oct \
                  mpfr_matrix_mul_d.oct \
                  mpfr_matrix_sqr_d.oct \
@@ -18,6 +19,25 @@
 CFLAG_OPENMP   =$(findstring -fopenmp,$(shell $(MKOCTFILE) -p XTRA_CFLAGS))
 
 all: $(OBJ)
+
+## crlibm api oct-file
+crlibm_function.oct: crlibm_function.o crlibm/crlibm_private.o
+	$(MKOCTFILE)  -o $@  $< crlibm/*.o crlibm/scs_lib/*.o
+crlibm_function.o: crlibm_function.cc
+	$(MKOCTFILE)  --compile -o $@  $<
+
+## bundled crlibm library
+##
+## Note to redistributors:
+## If you can't compile this library for a particular platform
+## or `__check_crlibm__` throws a warning in Octave, you can safely
+## omit the crlibm library from a redistributed binary package,
+## (you must keep __check_crlibm__.m).
+## However, please inform the package maintainer of the error.
+crlibm/crlibm_private.o: crlibm/crlibm_config.h
+	$(MAKE) -C crlibm CFLAGS+="$(shell $(MKOCTFILE) -p CPICFLAG) -Wno-div-by-zero -Wno-unused-variable -Wno-unused-but-set-variable"
+crlibm/crlibm_config.h:
+	(cd crlibm && ./configure --disable-dependency-tracking --enable-sse2)
 
 ## GNU MPFR api oct-files
 mpfr_matrix_mul_d.oct mpfr_matrix_sqr_d.oct : mpfr_%.oct: mpfr_%.cc mpfr_commons.cc
@@ -36,6 +56,7 @@
 	$(MKOCTFILE)  -o $@  $<
 
 clean:
+	$(MAKE) -C crlibm $@
 	$(RM) *.oct *.o
 
 .PHONY: all clean

=== src/crlibm/CMakeLists.txt ===
PROJECT(CRLIBM C)
MESSAGE("Trying to build crlibm on a " ${CMAKE_SYSTEM_PROCESSOR} " under " ${CMAKE_SYSTEM_NAME} ", compiler is "${CMAKE_C_COMPILER})

ADD_LIBRARY(crlibm SHARED
	crlibm.h crlibm_private.h crlibm_private.c triple-double.h
	exp-td.h exp-td.c exp-td-standalone.c
	expm1-standalone.c exp_accurate.h exp_accurate.c 
	expm1.h expm1.c 
	log-td.c log-td.h 
	log1p.c 
	log10-td.h log10-td.c 
	log2-td.h  log2-td.c 
	rem_pio2_accurate.h rem_pio2_accurate.c 
	trigo_fast.c trigo_fast.h trigo_accurate.c trigo_accurate.h 
	asin-td.h asin-td.c 
	acos-td.h acos-td.c 
	atan_fast.c atan_fast.h atan_accurate.h atan_accurate.c 
	csh_fast.h csh_fast.c 
	scs_lib/scs_private.c scs_lib/addition_scs.c
	scs_lib/division_scs.c scs_lib/print_scs.c
	scs_lib/double2scs.c scs_lib/zero_scs.c
	scs_lib/multiplication_scs.c scs_lib/scs2double.c
	scs_lib/tests/tbx_timing.h
)

ADD_DEFINITIONS(-DSCS_NB_WORDS=8 -DSCS_NB_BITS=30)


ADD_SUBDIRECTORY(tests)

ENABLE_TESTING()

ADD_TEST(exp tests/blind_test tests/exp.testdata)
ADD_TEST(log tests/blind_test tests/log.testdata)
ADD_TEST(sin tests/blind_test tests/sin.testdata)

ADD_TEST(cos tests/blind_test tests/cos.testdata)
ADD_TEST(tan tests/blind_test tests/tan.testdata)
ADD_TEST(atan tests/blind_test tests/atan.testdata)
ADD_TEST(sinh tests/blind_test tests/sinh.testdata)
ADD_TEST(cosh tests/blind_test tests/cosh.testdata)



# Define all the variables that were defined by the configure scripts
# We define them by -D flags, not by config.h

# First check the host processor

IF(CMAKE_SYSTEM_PROCESSOR MATCHES i*86|k6|k7|pentium*|athlon*)
  ADD_DEFINITIONS(-DCRLIBM_TYPECPU_X86)
ENDIF(CMAKE_SYSTEM_PROCESSOR MATCHES i*86|k6|k7|pentium*|athlon*)

IF(CMAKE_SYSTEM_PROCESSOR MATCHES alpha)
  ADD_DEFINITIONS(-DCRLIBM_TYPECPU_ALPHA)
ENDIF(CMAKE_SYSTEM_PROCESSOR MATCHES alpha)

IF(CMAKE_SYSTEM_PROCESSOR MATCHES powerpc*)
  ADD_DEFINITIONS(-DCRLIBM_TYPECPU_POWERPC)
ENDIF(CMAKE_SYSTEM_PROCESSOR MATCHES powerpc*)

IF(CMAKE_SYSTEM_PROCESSOR MATCHES sparc)
  ADD_DEFINITIONS(-DCRLIBM_TYPECPU_SPARC)
ENDIF(CMAKE_SYSTEM_PROCESSOR MATCHES sparc)

IF(CMAKE_SYSTEM_PROCESSOR MATCHES x86_64|amd64)
  ADD_DEFINITIONS(-DCRLIBM_TYPECPU_AMD64)
ENDIF(CMAKE_SYSTEM_PROCESSOR MATCHES x86_64|amd64)

IF(CMAKE_SYSTEM_PROCESSOR MATCHES ia64)
  ADD_DEFINITIONS(-DCRLIBM_TYPECPU_ITANIUM)
ENDIF(CMAKE_SYSTEM_PROCESSOR MATCHES ia64)


FIND_PATH(INTTYPES_H
	  inttypes.h
	  /usr/include/ /usr/local/include/
	  DOC "C99 file that defines int32_t, int64_t, etc"
)

IF(INTTYPES_H)
  ADD_DEFINITIONS(-DHAVE_INTTYPES_H)
ENDIF(INTTYPES_H)


# Now look for libraries

#   MPFR

FIND_PATH(MPFR_H
	  mpfr.h
	  /usr/include/ /usr/local/include/
	  DOC "Path of mpfr.h, the include file for GNU MPFR library, useful only for testing and developing crlibm"
)

FIND_LIBRARY(MPFR_LIB 
             NAMES mpfr 
             PATH /usr/lib/ /usr/local/lib/  
             DOC "Directory of the GNU MPFR library, useful for testing and developing crlibm")

# for compatibility with configure
IF(MPFR_H AND MPFR_LIB)
  ADD_DEFINITIONS(-DHAVE_MPFR_H)
  INCLUDE_DIRECTORIES(${MPFR_H})   # add include files
  LINK_DIRECTORIES(${MPFR_LIB})    # add link dir and link flag
  SET(LIBMPFR mpfr)
  SET(LIBGMP gmp)         # variables used in tests/CMakeList.txt
ENDIF(MPFR_H AND MPFR_LIB)


# IBM's Libultim

FIND_PATH(IBM_H
	  MathLib.h
	  /usr/include/ /usr/local/include/
	  DOC "Path of Mathlib.h, the include file for IBM's libultim, for comparison purpose"
)

FIND_LIBRARY(IBM_LIB 
             NAMES ultim 
             PATH /usr/lib/ /usr/local/lib/  
             DOC "Directory of IBM's libultim, for comparison purpose")

# for compatibility with configure
IF(IBM_H AND IBM_LIB)
  ADD_DEFINITIONS(-DHAVE_MATHLIB_H)
  INCLUDE_DIRECTORIES(${IBM_H})   # add include files
  LINK_DIRECTORIES(${IBM_LIB})    # add link dir and link flag
  SET(LIBIBM ultim)
ENDIF(IBM_H AND IBM_LIB)

  
# Sun's libmcr

FIND_PATH(MCR_H
	  mcr.h
	  /usr/include/ /usr/local/include/
	  DOC "Path of mcr.h, the include file for Sun's libmcr, for comparison purpose"
)

FIND_LIBRARY(MCR_LIB 
             NAMES mcr 
             PATH /usr/lib/ /usr/local/lib/  
             DOC "Directory of Sun's libmcr, for comparison purpose")

# for compatibility with configure
IF(MCR_H AND MCR_LIB)
  ADD_DEFINITIONS(-DHAVE_MCR_H)
  INCLUDE_DIRECTORIES(${MCR_H})   # add include files
  LINK_DIRECTORIES(${MCR_LIB})    # add link dir and link flag
  SET(LIBMCR mcr)
ENDIF(MCR_H AND MCR_LIB)

=== debian/changelog ===
octave-interval (2.1.0-2) unstable; urgency=medium

  * Fix build on platforms w/o SSE2

 -- Oliver Heimlich <oheim@posteo.de>  Tue, 24 Jan 2017 20:07:13 +0100

octave-interval (2.1.0-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Use my Debian email address
  * d/control: Ensure proper paragraph breaks in Description
  * d/u/metadata: Add citation
  * Bump debhelper compat level to 10
  * d/control: Build-depends on octave-pkg-dev >= 1.4.4

  [ Oliver Heimlich ]
  * Imported Upstream version 2.1.0
  * d/copyright: reflect upstream changes
  * d/control: Add Multi-Arch tags
  * d/rules: Fix package build error
  * d/copyright: Update FSF's postal address

  [ Sébastien Villemot ]
  * d/watch: bump to format version 4.

 -- Oliver Heimlich <oheim@posteo.de>  Sun, 15 Jan 2017 13:09:32 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Oliver Heimlich <oheim@posteo.de>,
 Build-Depends-Indep: texinfo, texlive, texlive-generic-recommended,
  imagemagick, gnuplot-nox,
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.4.0),
+Build-Depends: debhelper (>= 10), cdbs, octave-pkg-dev (>= 1.4.4),
  libmpfr-dev (>= 3.1.0),
 Standards-Version: 3.9.8
 Homepage: http://octave.sourceforge.net/interval/
@@ -14,19 +14,23 @@
 
 Package: octave-interval
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends},
 Suggests: octave-interval-doc
 Description: real-valued interval arithmetic for Octave
  ${octave:Upstream-Description}
+ .
  This Octave add-on package is part of the Octave-Forge project.
 
 Section: doc
 Package: octave-interval-doc
 Architecture: all
+Multi-Arch: foreign
 Depends: w3m | www-browser
 Enhances: octave-interval
 Description: real-valued interval arithmetic for Octave (arch-indep files)
  ${octave:Upstream-Description}
+ .
  This Octave add-on package is part of the Octave-Forge project.
  .
  This package provides a documentation in html format for the octave-interval

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,14 @@
 pkg = $(shell awk '/^Name:/ {print $$2; exit 0}' DESCRIPTION)
 pkg_version = $(shell awk '/^Version:/ {print $$2; exit 0}' DESCRIPTION)
 
+# For reproducibility and portability,
+# enable SSE2 only on architectures where it is supported by all processors.
+ifeq ($(DEB_HOST_ARCH_CPU),amd64)
+export CONF_FLAG_SSE2 = --enable-sse2
+else
+export CONF_FLAG_SSE2 = --disable-sse2
+endif
+
 # Don't install NEWS.gz, octave-pkg-dev will handle this
 DEB_INSTALL_DOCS_ALL =
 doc_dir = $(CURDIR)/$(debpkg)-doc/usr/share/doc/$(package)
@@ -44,4 +52,5 @@
 
 clean::
 	make -C doc clean
-	make -C src clean
+	test ! -e src/crlibm/Makefile || make -C src/crlibm maintainer-clean
+	rm -f src/*.oct src/*.o

## octave-interval 3.1.0

=== src/Makefile ===
## This is part of the GNU Octave Interval Package.
## Copyright 2015-2017 Oliver Heimlich
## Copyright 2016 Mike Miller
## See the file COPYING for copying conditions.

SHELL          = /bin/sh
OBJ            = crlibm_function.oct \
                 mpfr_function_d.oct \
                 mpfr_linspace_d.oct \
                 mpfr_matrix_mul_d.oct \
                 mpfr_matrix_sqr_d.oct \
                 mpfr_to_string_d.oct \
                 mpfr_vector_sum_d.oct \
                 mpfr_vector_dot_d.oct \
                 __setround__.oct

BUNDLED_CRLIBM_DIR = crlibm

LDFLAGS_MPFR   =-lmpfr
## Use important flags in XTRA_CFLAGS for OpenMP (workaround for bug #45280)
CFLAG_OPENMP   =$(findstring -fopenmp,$(shell $(MKOCTFILE) -p XTRA_CFLAGS))

## Auto-detect SSE2 for configuration of crlibm
## Ask the compiler to allow cross-compilation
SSE2_MACRO_DEF =$(shell echo \
                        | $(shell $(MKOCTFILE) -p CC) \
                          $(shell $(MKOCTFILE) -p CFLAGS) \
                          -dM -E - \
                        | grep "__SSE2__" | grep "1" )
ifneq ($(SSE2_MACRO_DEF),)
CONF_FLAG_SSE2 ?=--enable-sse2
endif

all: $(OBJ)

## crlibm api oct-file
crlibm_function.oct: crlibm_function.o $(BUNDLED_CRLIBM_DIR)/crlibm_private.o
	$(MKOCTFILE)  -o $@  $< $(BUNDLED_CRLIBM_DIR)/*.o $(BUNDLED_CRLIBM_DIR)/scs_lib/*.o
crlibm_function.o: crlibm_function.cc
	$(MKOCTFILE)  --compile -o $@  $<

## bundled crlibm library
##
## Note to redistributors:
## If you can't compile this library for a particular platform
## or `__check_crlibm__` throws a warning in Octave, you can safely
## omit the crlibm library from a redistributed binary package,
## (you must keep __check_crlibm__.m).
## However, please inform the package maintainer of the error.
$(BUNDLED_CRLIBM_DIR)/crlibm_private.o: $(BUNDLED_CRLIBM_DIR)/crlibm_config.h
	$(MAKE) -C $(BUNDLED_CRLIBM_DIR) CFLAGS+="$(shell $(MKOCTFILE) -p CPICFLAG) -Wno-div-by-zero -Wno-unused-variable -Wno-unused-but-set-variable"
$(BUNDLED_CRLIBM_DIR)/crlibm_config.h:
	(cd $(BUNDLED_CRLIBM_DIR) && ./configure --disable-dependency-tracking $(CONF_FLAG_SSE2))

## GNU MPFR api oct-files
mpfr_matrix_mul_d.oct mpfr_matrix_sqr_d.oct : mpfr_%.oct: mpfr_%.cc mpfr_commons.h
	$(MKOCTFILE)  -o $@ $(LDFLAGS_MPFR) $(CFLAG_OPENMP) $<
mpfr_%.oct: mpfr_%.cc mpfr_commons.h
	$(MKOCTFILE)  -o $@ $(LDFLAGS_MPFR) -Wno-comment  $<

## <cfenv> api oct-file
##
## Note to redistributors:
## If you can't compile this function for a particular platform
## or `test @infsup/mtimes` throws a warning in Octave, you can safely
## omit the __setround__ function from a redistributed binary package.
## However, please inform the package maintainer of the error.
__setround__.oct: __setround__.cc
	$(MKOCTFILE)  -o $@  -Wno-unknown-pragmas  $<

clean:
	test ! -e $(BUNDLED_CRLIBM_DIR)/Makefile || $(MAKE) -C $(BUNDLED_CRLIBM_DIR) $@
	$(RM) *.oct *.o

.PHONY: all clean

=== debian/changelog ===
octave-interval (3.1.0-5) unstable; urgency=medium

  * Team upload

  * d/control:
    + Improve wording in the octave-interval-doc package description
    + Add misc:Depends to dependencies of octave-interval-doc
  * d/rules:
    + Define variables $(debpkg) and $(package)
      They used to be defined in file octave-pkg.mk of the octave-pkg-dev
      package, which is not used anyore.
    + Only build doc for the binary-indep package (Closes: #89098)
    + Do not ignore make clean errors
  * d/check.m:  Better check of TST files
    + Include all files under insts/test/ (*.tst and *.cc-tst).
    + Do not call exit(), since dh-octave does not like it.
    + Collect statistics on test execution and show them.
  * Add DEP-3-compliant headers to the patches

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 11 Feb 2018 15:23:30 -0200

octave-interval (3.1.0-4) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control: Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:31:53 -0200

octave-interval (3.1.0-3) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * d/control: Use Debian's GitLab URLs in Vcs-* headers

  [ Oliver Heimlich ]
  * Simplify cameleon plot in documentation to address build timeouts

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 07 Jan 2018 15:48:48 +0100

octave-interval (3.1.0-2) unstable; urgency=medium

  * Team upload.

  [ Oliver Heimlich ]
  * Ignore results of unreliable BISTs
  * Ignore results of fesetround BISTs

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control: Bump Standards-Version to 4.1.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:40 -0200

octave-interval (3.1.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * Add Build-Depends on ghostscript.

  [ Rafael Laboissiere ]
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL
  * d/control: Add Testsuite field
  * d/control: Bump Standards-Version to 4.1.2 (no changes needed)

  [ Oliver Heimlich ]
  * New upstream version 3.1.0
    - On x86-32 platforms w/o SSE a new compiler switch allows one to disable
      80-bit floating-point arithmetic (closes: #874135)
    - OSMesa is no longer used to render images for package documentation
      (closes: #877149)
  * d/patches/*: Discard superseded patches
  * d/control: Use secure upstream URL
  * d/copyright: Reflect upstream changes
  * d/u/metadata: Use secure upstream URL, update release year

 -- Oliver Heimlich <oheim@posteo.de>  Tue, 26 Dec 2017 21:29:55 +0100

=== debian/control ===
Source: octave-interval
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Oliver Heimlich <oheim@posteo.de>,
Build-Depends-Indep: texinfo, texlive, texlive-generic-recommended,
 imagemagick, gnuplot-nox,
Build-Depends: debhelper (>= 11), dh-octave,
 libmpfr-dev (>= 3.1.0), ghostscript
Standards-Version: 4.1.3
Homepage: https://octave.sourceforge.io/interval/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-interval.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-interval
Testsuite: autopkgtest-pkg-octave

Package: octave-interval
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends},
Suggests: octave-interval-doc
Description: real-valued interval arithmetic for Octave
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.

Section: doc
Package: octave-interval-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, w3m | www-browser
Enhances: octave-interval
Description: real-valued interval arithmetic for Octave (arch-indep files)
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.
 .
 This package provides documentation in HTML format for the octave-interval
 package.

=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,13 @@
 # with this program; if not, write to the Free Software Foundation,
 # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
 
-include /usr/share/cdbs/1/class/octave-pkg.mk
+%:
+	dh $@ --buildsystem=octave --with=octave
 
 pkg = $(shell awk '/^Name:/ {print $$2; exit 0}' DESCRIPTION)
 pkg_version = $(shell awk '/^Version:/ {print $$2; exit 0}' DESCRIPTION)
+package = $(shell awk '/^Package:/ {print $$2; exit 0}' debian/control)
+debpkg = debian/$(package)
 
 # For reproducibility and portability,
 # enable SSE2 only on architectures where it is supported by all processors.
@@ -30,27 +33,26 @@
 export CONF_FLAG_SSE2 = --disable-sse2
 endif
 
-# Don't install NEWS.gz, octave-pkg-dev will handle this
+# Don't install NEWS.gz, dh-octave will handle this
 DEB_INSTALL_DOCS_ALL =
 doc_dir = $(CURDIR)/$(debpkg)-doc/usr/share/doc/$(package)
 
-install/$(package)-doc:: install/$(package)
+override_dh_auto_install-indep:
+	dh_auto_install
 	# The documentation build needs to load the package,
 	# so we have to set paths for the build process.
-	OCTAVE="$(octave) $(octave_options) --eval \"pkg ('prefix', [pwd(),'/../$(debpkg)/$(mpath)'], [pwd(),'/../$(debpkg)/$(bpath)']); pkg ('local_list', [pwd(),'/../local-list']); pkg ('global_list', [pwd(),'/../global-list']); pkg ('load', '$(pkg)');\"" \
+	OCTAVE='octave --no-window-system --no-init-file --eval	"addpath (genpath (\"../$(debpkg)/usr\"));"' \
 		make -C doc manual.html
 	# dh_installdocs does not support subdirectories,
 	# so we move everything in place
 	mkdir -p $(doc_dir)/image
 	cp doc/manual.html $(doc_dir)/
 	cp doc/image/*.png doc/image/*.svg $(doc_dir)/image/
+	rm -rf \
+		 $(CURDIR)/$(debpkg)/$(mpath)/*/doc
 
-remove-dirs::
-	rm -rf \
-		 $(CURDIR)/$(debpkg)/$(mpath)/*/doc \
-		 $(CURDIR)/$(debpkg)/$(mpath)/*/test
-
-clean::
-	make -C doc clean
-	test ! -e src/crlibm/Makefile || make -C src/crlibm maintainer-clean
-	rm -f src/*.oct src/*.o
+override_dh_auto_clean:
+	dh_auto_clean
+	[ ! -f Makefile ] || $(MAKE) clean
+	[ ! -f doc/Makefile ] || $(MAKE) -C doc clean
+	[ ! -f src/crlibm/Makefile ] || $(MAKE) -C src/crlibm maintainer-clean

## octave-interval 3.2.0

=== src/Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
 ## This is part of the GNU Octave Interval Package.
-## Copyright 2015-2017 Oliver Heimlich
+## Copyright 2015-2018 Oliver Heimlich
 ## Copyright 2016 Mike Miller
 ## See the file COPYING for copying conditions.
 
 SHELL          = /bin/sh
 OBJ            = crlibm_function.oct \
+                 intervaltotext.oct \
                  mpfr_function_d.oct \
                  mpfr_linspace_d.oct \
                  mpfr_matrix_mul_d.oct \
@@ -35,9 +36,11 @@
 
 ## crlibm api oct-file
 crlibm_function.oct: crlibm_function.o $(BUNDLED_CRLIBM_DIR)/crlibm_private.o
-	$(MKOCTFILE)  -o $@  $< $(BUNDLED_CRLIBM_DIR)/*.o $(BUNDLED_CRLIBM_DIR)/scs_lib/*.o
+	@echo " [MKOCTFILE] $<"
+	@$(MKOCTFILE)  -o $@  $< $(BUNDLED_CRLIBM_DIR)/*.o $(BUNDLED_CRLIBM_DIR)/scs_lib/*.o
 crlibm_function.o: crlibm_function.cc
-	$(MKOCTFILE)  --compile -o $@  $<
+	@echo " [MKOCTFILE] $<"
+	@$(MKOCTFILE)  --compile -o $@  $<
 
 ## bundled crlibm library
 ##
@@ -52,11 +55,24 @@
 $(BUNDLED_CRLIBM_DIR)/crlibm_config.h:
 	(cd $(BUNDLED_CRLIBM_DIR) && ./configure --disable-dependency-tracking $(CONF_FLAG_SSE2))
 
+## Wrapper functions for backwards compatibility with old Octave versions
+OCTAVE_COMPATIBILITY = compatibility/octave.h compatibility/octave.cc
+compatibility/octave.cc: $(filter-out $(OCTAVE_COMPATIBILITY),$(wildcard compatibility/*))
+	@echo " [MAKE] compatibility"
+	@$(MAKE) -C compatibility
+	@touch "$@"
+
 ## GNU MPFR api oct-files
-mpfr_matrix_mul_d.oct mpfr_matrix_sqr_d.oct : mpfr_%.oct: mpfr_%.cc mpfr_commons.h
-	$(MKOCTFILE)  -o $@ $(LDFLAGS_MPFR) $(CFLAG_OPENMP) $<
-mpfr_%.oct: mpfr_%.cc mpfr_commons.h
-	$(MKOCTFILE)  -o $@ $(LDFLAGS_MPFR) -Wno-comment  $<
+mpfr_matrix_mul_d.oct mpfr_matrix_sqr_d.oct : mpfr_%.oct: mpfr_%.cc mpfr_commons.h $(OCTAVE_COMPATIBILITY)
+	@echo " [MKOCTFILE] $<"
+	@$(MKOCTFILE)  -o $@ $(LDFLAGS_MPFR) $(CFLAG_OPENMP) $<
+mpfr_%.oct: mpfr_%.cc mpfr_commons.h $(OCTAVE_COMPATIBILITY)
+	@echo " [MKOCTFILE] $<"
+	@$(MKOCTFILE)  -o $@ $(LDFLAGS_MPFR)  $<
+
+intervaltotext.oct: intervaltotext.cc mpfr_commons.h $(OCTAVE_COMPATIBILITY)
+	@echo " [MKOCTFILE] $<"
+	@$(MKOCTFILE)  -o $@ $(LDFLAGS_MPFR)  $<
 
 ## <cfenv> api oct-file
 ##
@@ -66,10 +82,12 @@
 ## omit the __setround__ function from a redistributed binary package.
 ## However, please inform the package maintainer of the error.
 __setround__.oct: __setround__.cc
-	$(MKOCTFILE)  -o $@  -Wno-unknown-pragmas  $<
+	@echo " [MKOCTFILE] $<"
+	@$(MKOCTFILE)  -o $@  -Wno-unknown-pragmas  $<
 
 clean:
 	test ! -e $(BUNDLED_CRLIBM_DIR)/Makefile || $(MAKE) -C $(BUNDLED_CRLIBM_DIR) $@
+	$(MAKE) -C compatibility
 	$(RM) *.oct *.o
 
 .PHONY: all clean

=== src/compatibility/Makefile ===
## This is part of the GNU Octave Interval Package.
## Copyright 2018 Oliver Heimlich
## See the file COPYING for copying conditions.

SHELL = /bin/sh

## To be backwards compatible with old versions of Octave, we use wrapper
## functions around some core API functions.
##
## The implementation of the wrapper functions and other backwards
## compatibility code is split into .cc files for respective major versions
## of Octave.
##
## The needed implementation for octave.h is selected during installation.
OCTAVE_VERSION = $(shell $(OCTAVE_CONFIG) -p VERSION)
ifneq ($(filter 3.% 4.0.% 4.1.% 4.2.%,$(OCTAVE_VERSION)),)
SRC = octave_4.2.cc
else
SRC = octave_current.cc
endif
octave.cc: $(SRC)
	@echo "Detected Octave version: $(OCTAVE_VERSION)"
	cp "$<" "$@"

clean:
	$(RM) octave.cc

=== debian/changelog ===
octave-interval (3.2.0-7) unstable; urgency=medium

  * Team upload

  * This version builds correctly against Octave 6 (Closes: #976210)

  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/clean: Remove src/*.cc-tst files
  * d/rules: Honor nodoc flag in DEB_BUILD_OPTIONS
  * d/copyright: Drop redundant pattern
  * d/p/xtest-in-infsup-methods.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 30 Dec 2020 15:18:23 -0300

octave-interval (3.2.0-6) unstable; urgency=medium

  * Team upload

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata:
    + Add Bug-{Database,Submit} and Repository-Browse fields
    + Drop Name and Contact fields
  * d/p/no-pkg-load-at-docs-build.patch: Set Forwarded:not-needed

 -- Rafael Laboissière <rafael@debian.org>  Sun, 02 Aug 2020 12:55:01 -0300

octave-interval (3.2.0-5) unstable; urgency=medium

  * Team upload

  [ Rafael Laboissiere ]
  * d/copyright: Group identical licenses in single stanzas
  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
    This allows the injection of the virtual package octave-abi-N into
    the package's list of dependencies.

  [ Sébastien Villemot ]
  * d/copyright: use FSFUL and FSFULLR license short names (instead of
    "permissive")

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 05 Nov 2019 14:23:44 -0300

octave-interval (3.2.0-4) unstable; urgency=medium

  * Team upload

  * d/p/xtest-in-mpfr-matrix-mul-d.patch: New patch
  * d/control:
    + Drop build-dependencies on texlive packages
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * d/clean: Extend list of removed files
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:56:15 -0200

octave-interval (3.2.0-3) unstable; urgency=medium

  * Team upload

  * d/rules: Install missing files when running autoreconf

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 06 Oct 2018 12:40:10 -0300

octave-interval (3.2.0-2) unstable; urgency=medium

  * Team upload

  [ Oliver Heimlich ]
  * d/p/ignore-fesetround-tests.patch: Reintroduce patch for tests on armel

  [ Rafael Laboissiere ]
  * d/control: Add Rules-Requires-Root: no
  * d/control: Bump Standards-Version to 4.2.1
  * Rebuild autoconf files in src/crlibm

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 05 Oct 2018 18:04:46 -0300

octave-interval (3.2.0-1) unstable; urgency=medium

  * Team upload

  [ Oliver Heimlich ]
  * New upstream version 3.2.0

  [ Rafael Laboissiere ]
  * Dropped patches (applied upstream):
    + d/p/ignore-fesetround-tests.patch
    + d/p/ignore-unreliable-tests.patch
   + d/p/no-function-parameter-persistent.patch
     + d/p/simplify-cameleon-example.patch
  * Call clean target when cleaning the src/compatibility directory
    + d/p/clean-src-compatibility-dir.patch: New patch
  * Do not load the interval package when building the docs
    + d/p/no-pkg-load-at-docs-build.patch: New patch
    + d/rules: Adjust rule override_dh_auto_install-indep accordingly

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 05 Jul 2018 12:57:14 -0300

octave-interval (3.1.0-6) unstable; urgency=medium

  * Team upload

  * d/control:
    + Bump Standards-Version to 4.1.4 (no changes needed)
    + Suggest web browser instead of depending on it (Closes: #898646)
  * d/p/no-function-parameter-persistent.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 19 Jun 2018 17:10:30 -0300

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Oliver Heimlich <oheim@posteo.de>,
-Build-Depends-Indep: texinfo, texlive, texlive-generic-recommended,
- imagemagick, gnuplot-nox,
-Build-Depends: debhelper (>= 11), dh-octave,
- libmpfr-dev (>= 3.1.0), ghostscript
-Standards-Version: 4.1.3
+Build-Depends-Indep: texinfo, imagemagick, gnuplot-nox
+Build-Depends: debhelper-compat (= 13),
+               dh-octave (>= 0.7.1),
+               ghostscript,
+               libmpfr-dev (>= 3.1.0)
+Standards-Version: 4.5.1
 Homepage: https://octave.sourceforge.io/interval/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-interval.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-interval
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-interval
 Architecture: any
@@ -27,7 +29,8 @@
 Package: octave-interval-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, w3m | www-browser
+Depends: ${misc:Depends}
+Suggests: w3m | www-browser
 Enhances: octave-interval
 Description: real-valued interval arithmetic for Octave (arch-indep files)
  ${octave:Upstream-Description}

=== debian/rules ===
--- 
+++ 
@@ -37,19 +37,24 @@
 DEB_INSTALL_DOCS_ALL =
 doc_dir = $(CURDIR)/$(debpkg)-doc/usr/share/doc/$(package)
 
+override_dh_auto_configure:
+	(cd src/crlibm ; autoreconf -i)
+	dh_auto_configure
+
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_install-indep:
 	dh_auto_install
 	# The documentation build needs to load the package,
 	# so we have to set paths for the build process.
-	OCTAVE='octave --no-window-system --no-init-file --eval	"addpath (genpath (\"../$(debpkg)/usr\"));"' \
+	OCTAVE='octave --no-window-system --no-init-file'	\
 		make -C doc manual.html
 	# dh_installdocs does not support subdirectories,
 	# so we move everything in place
 	mkdir -p $(doc_dir)/image
 	cp doc/manual.html $(doc_dir)/
 	cp doc/image/*.png doc/image/*.svg $(doc_dir)/image/
-	rm -rf \
-		 $(CURDIR)/$(debpkg)/$(mpath)/*/doc
+	rm -rf $(CURDIR)/$(debpkg)/$(mpath)/*/doc
+endif
 
 override_dh_auto_clean:
 	dh_auto_clean
